Browser Requirements

We reserve the right to update our browser requirements at any time, but in general we support all current and previous versions of browsers with some reasonable amount of market share, but not beta or development versions.

All browsers utilized with our application must support the following:

We support the CURRENT version and most recent outdated version of the following browsers:

Desktop Browsers

Internet Explorer Mozilla Firefox Google Chrome
Microsoft Edge Apple Safari Opera

Touch Device Browsers

Android Browser Apple iOS Safari Internet Explorer
Google Chrome on Android